Subject: Re: Unsupported phy-connection-type sgmii-2500 in arch/powerpc/boot/dts/fsl/t1023rdb.dts

From: Andrew Lunn <[email-masked]>
Date: Thu, 3 Jun 2021 17:12:31 +0200

On Thu, Jun 03, 2021 at 04:34:53PM +0200, Pali Rohár wrote:
> Hello!
> 
> In commit 84e0f1c13806 ("powerpc/mpc85xx: Add MDIO bus muxing support to
> the board device tree(s)") was added following DT property into DT node:
> arch/powerpc/boot/dts/fsl/t1023rdb.dts fm1mac3: ethernet@e4000
> 
>     phy-connection-type = "sgmii-2500";
> 
> But currently kernel does not recognize this "sgmii-2500" phy mode. See
> file include/linux/phy.h. In my opinion it should be "2500base-x" as
> this is mode which operates at 2.5 Gbps.
> 
> I do not think that sgmii-2500 mode exist at all (correct me if I'm
> wrong).

Kind of exist, unofficially. Some vendors run SGMII over clocked at
2500. But there is no standard for it, and it is unclear how inband
signalling should work. Whenever i see code saying 2.5G SGMII, i
always ask, are you sure, is it really 2500BaseX? Mostly it gets
changed to 2500BaseX after review.

PHY mode sgmii-2500 does not exist in mainline.

	Andrew